当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 45 篇帖子 ]  前往页数 1, 2, 3  下一页
作者 内容
1 楼 
 文章标题 : [分享]Ubuntu Edgy+ATI显卡 安装 xgl+beryl(加入脚本,可手动选择是否启动xgl)
帖子发表于 : 2006-12-23 12:52 

注册: 2006-04-20 10:29
帖子: 85
送出感谢: 0 次
接收感谢: 0 次
在登录界面加入了xgl登入选项,方便切换xgl与普通模式

1.添加源
deb http://download.tuxfamily.org/3v1deb edgy beryl-svn
deb-src http://download.tuxfamily.org/3v1deb edgy beryl-svn
上面的是SVN的源,可以得到beryl的最新更新。
导入key : wget http://download.tuxfamily.org/3v1deb/EDD1E155.gpg -O- | sudo apt-key add - (此key只适用于edgy)

2.安装xgl和beryl:
sudo apt-get install xserver-xgl
sudo apt-get install beryl emerald-themes
或者用新立德软件管理器搜索xserver-xgl beryl emerald-themes进行安装。

3.配置xgl(两种方法,二选一)
方法一:在登录对话界面加入xgl选框
sudo gedit /usr/local/bin/startxgl.sh
内容如下:
#!/bin/sh
Xgl -fullscreen :1 -ac -br -accel glx:pbuffer -accel xv:pbuffer &
sleep 4
export DISPLAY=:1
exec gnome-session
如果出现问题的话,尝试
#!/bin/sh
Xgl :1 -fullscreen -ac -br -accel glx:pbuffer -accel xv:pbuffer &
sleep 4
export DISPLAY=:1
exec gnome-session
然后 sudo chmod a+x /usr/local/bin/startxgl.sh
注:如果使用以上脚本导致你的字体或鼠标配置不能正常载入,那么用"exec
/etc/X11/Xsession"代替上面的“exec gnome-session”
sudo gedit /usr/share/xsessions/xgl.desktop
内容:
[Desktop Entry]
Encoding=UTF-8
Name=Xgl
Exec=/usr/local/bin/startxgl.sh
Icon=
Type=Application
OK,登出,在选择会话选框里面就会出现xgl选项了。
方法二:修改gdm.conf启动xgl
sudo gedit /etc/gdm/gdm.conf-custom
在文件的最后加入
0=Xgl
[server-Xgl]
name=Xgl server
command=/usr/bin/Xgl :0 -fullscreen -ac -accel glx:pbuffer -accel xv:fbo
flexible=true
重启,系统就会自动启动xgl了。

4.启动beryl(也有三种办法)
方法一:在终端输入 beryl-manager手动启动beryl。(要是每次都这样的话,麻烦)
方法二:主菜单-系统-首选项-会话-启动程序 添加 beryl-manager。(这种方法在不启
动xgl的时候beryl也会启动。)
方法三:使用脚本,当xgl已经启动的时候beryl启动,否则不启动。
sudo gedit /usr/local/bin/start_beryl.sh
内容:
#!/bin/bash
#
# Start beryl-manager within gnome-session
#
if [ `ps -A -o comm | grep -c '^Xgl$'` == "1" ]; then
DISPLAY=:1 beryl-manager
DISPLAY=:1 beryl-xgl
else echo "${0}: Error: beryl-manager not launched. Xgl not running?"
fi
赋予权限 sudo chmod a+x /usr/local/bin/start_beryl.sh
同样在主菜单-系统-首选项-会话-启动程序 添加/usr/local/bin/start_beryl.sh
OK,重启
enjoying beryl 0.1.4


最后由 stephenven 编辑于 2006-12-23 22:05,总共编辑了 4 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-12-23 14:26 

注册: 2006-12-23 14:23
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
导入key : wget http://download.tuxfamily.org/3v1deb/EDD1E155.gpg -O- | sudo aptkey add - (此key只适用于edgy)
这句错了
应该是wget http://download.tuxfamily.org/3v1deb/EDD1E155.gpg -O- | sudo apt-key add -


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-12-23 15:02 

注册: 2006-04-20 10:29
帖子: 85
送出感谢: 0 次
接收感谢: 0 次
谢谢楼上提醒,排版的时候把那一扛漏掉了!~ :roll:


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-12-23 15:22 
头像

注册: 2006-05-13 4:02
帖子: 10606
送出感谢: 0 次
接收感谢: 7
不建议用修改xorg.conf的方式,万一出问题,你都不知道怎么做。连桌面都进不去。


_________________
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-12-23 15:39 

注册: 2006-12-23 14:23
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
不用谢,第3步配置xgl内面的两点是2选1 的吧,开始时还以为是两小步,弄得系统出了些少问题


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-12-23 16:37 

注册: 2006-04-20 10:29
帖子: 85
送出感谢: 0 次
接收感谢: 0 次
LS 是的,是二选一,我最好还是用第一种方法.....


页首
 用户资料  
 
7 楼 
 文章标题 : help!!!
帖子发表于 : 2006-12-23 18:06 

注册: 2006-12-23 17:56
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
桌面都进不去 怎么??


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-12-25 20:59 

注册: 2006-12-24 14:43
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
我想知道,为什么登录时会话选的gnome,运行beryl还是很正常,各种效果,雪花…………区别就是播放视频时,立体桌面上不会显示视频图像

这是为什么呢?
偶是新手…………


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-12-26 0:44 

注册: 2006-12-06 1:17
帖子: 107
送出感谢: 0 次
接收感谢: 0 次
源里没有beryl?,找不到啊!我的系统是64位 Ubuntu 6.10 Edgy 。


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-12-26 3:54 
头像

注册: 2006-12-21 19:33
帖子: 98
送出感谢: 0 次
接收感谢: 0 次
郁闷,我这个是什么原因呢?
$ sudo apt-get install beryl emerald-themes
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
beryl: 依赖: beryl-core 但是它将不会被安装
依赖: libberylsettings0 但是它将不会被安装
依赖: beryl-plugins
依赖: beryl-settings 但是它将不会被安装
依赖: emerald 但是它将不会被安装 或
aquamarine 但是它将不会被安装 或
heliodor 但是它将不会被安装 或
compiz-gtk 但却无法安装它
依赖: beryl-manager 但是它将不会被安装
emerald-themes: 依赖: emerald (>= 0.1) 但是它将不会被安装
E: 无法安装的软件包


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-12-26 8:44 

注册: 2006-12-24 0:51
帖子: 20
送出感谢: 0 次
接收感谢: 0 次
怎么导入key阿,我是新手


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2006-12-26 9:51 
头像

注册: 2005-12-15 21:52
帖子: 351
送出感谢: 0 次
接收感谢: 0 次
看2楼


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-01-10 3:10 
头像

注册: 2006-08-22 13:33
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
frank@frank-laptop:~$ beryl-manager
frank@frank-laptop:~$ XGL Present
beryl-xgl: Support for non power of two textures missing
beryl-xgl: Failed to manage screen: 0
beryl-xgl: No manageable screens found on display :1.0

Help me Thank you I can not input Chinese ,5555555



ps: my card is ATI radeon igp


最后由 franky_xhl 编辑于 2007-01-10 3:44,总共编辑了 1 次

页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2007-01-10 3:21 
头像

注册: 2006-08-22 13:33
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
在Gnome下运行
XGL Absent,Checking for NVIDIA
Nvidia Absent,checking for texture_from_pixmap
texture_from_pixmap Present

然后就不动了

望达人指教 小弟有礼~~


frank@frank-laptop:~$ glxinfo
name of display: :0.0
display: :0 screen: 0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer


不知道是不是跟display有关系 贴上来再说把 我是跟着楼主做了第二个开始做的 第一个源下不到 东西


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2007-01-10 13:16 
头像

注册: 2006-11-11 17:14
帖子: 833
地址: 浙江宁波
送出感谢: 0 次
接收感谢: 0 次
用了lz的两种方法都启动不了xgl,方法一时选择会话里根本没有出现xgl的会话,方法二时一直黑屏,然后提示进入不了x!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 45 篇帖子 ]  前往页数 1, 2, 3  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译